OpenTTD Source: ViewportDrawer Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
ViewportDrawer Struct Reference

Data structure storing rendering information. More...

## Data Fields
DrawPixelInfo | dpi
StringSpriteToDrawVector | string_sprites_to_draw
TileSpriteToDrawVector | tile_sprites_to_draw
ParentSpriteToDrawVector | parent_sprites_to_draw
ParentSpriteToSortVector | parent_sprites_to_sort
| Parent sprite pointer array used for sorting.
ChildScreenSpriteToDrawVector | child_screen_sprites_to_draw
int | last_child
SpriteCombineMode | combine_sprites
| Current mode of "sprite combining".
int | foundation [FOUNDATION_PART_END]
| Foundation sprites (index into parent_sprites_to_draw).
FoundationPart | foundation_part
| Currently active foundation for ground sprite drawing.
int | last_foundation_child [FOUNDATION_PART_END]
| Tail of ChildSprite list of the foundations. (index into child_screen_sprites_to_draw)
Point | foundation_offset [FOUNDATION_PART_END]
| Pixel offset for ground sprites on the foundations.

## Detailed Description

Data structure storing rendering information.

Definition at line 170 of file viewport.cpp.

## Field Documentation

## ◆ child_screen_sprites_to_draw

ChildScreenSpriteToDrawVector ViewportDrawer::child_screen_sprites_to_draw

Definition at line 177 of file viewport.cpp.

## ◆ combine_sprites

SpriteCombineMode ViewportDrawer::combine_sprites

Current mode of "sprite combining".

See also
  StartSpriteCombine

Definition at line 181 of file viewport.cpp.

Referenced by AddSortableSpriteToDraw(), EndSpriteCombine(), and StartSpriteCombine().

## ◆ dpi

DrawPixelInfo ViewportDrawer::dpi

Definition at line 171 of file viewport.cpp.

## ◆ foundation

int ViewportDrawer::foundation[FOUNDATION_PART_END]

Foundation sprites (index into parent_sprites_to_draw).

Definition at line 183 of file viewport.cpp.

Referenced by AddChildSpriteToFoundation(), DrawGroundSpriteAt(), DrawSelectionSprite(), OffsetGroundSprite(), and ViewportAddLandscape().

## ◆ foundation_offset

Point ViewportDrawer::foundation_offset[FOUNDATION_PART_END]

Pixel offset for ground sprites on the foundations.

Definition at line 186 of file viewport.cpp.

Referenced by AddChildSpriteToFoundation(), and OffsetGroundSprite().

## ◆ foundation_part

FoundationPart ViewportDrawer::foundation_part

Currently active foundation for ground sprite drawing.

Definition at line 184 of file viewport.cpp.

Referenced by DrawGroundSpriteAt(), OffsetGroundSprite(), and ViewportAddLandscape().

## ◆ last_child

int ViewportDrawer::last_child

Definition at line 179 of file viewport.cpp.

## ◆ last_foundation_child

int ViewportDrawer::last_foundation_child[FOUNDATION_PART_END]

Tail of ChildSprite list of the foundations. (index into child_screen_sprites_to_draw)

Definition at line 185 of file viewport.cpp.

Referenced by AddChildSpriteScreen(), AddChildSpriteToFoundation(), OffsetGroundSprite(), and ViewportAddLandscape().

## ◆ parent_sprites_to_draw

ParentSpriteToDrawVector ViewportDrawer::parent_sprites_to_draw

Definition at line 175 of file viewport.cpp.

## ◆ parent_sprites_to_sort

ParentSpriteToSortVector ViewportDrawer::parent_sprites_to_sort

Parent sprite pointer array used for sorting.

Definition at line 176 of file viewport.cpp.

## ◆ string_sprites_to_draw

StringSpriteToDrawVector ViewportDrawer::string_sprites_to_draw

Definition at line 173 of file viewport.cpp.

## ◆ tile_sprites_to_draw

TileSpriteToDrawVector ViewportDrawer::tile_sprites_to_draw

Definition at line 174 of file viewport.cpp.

The documentation for this struct was generated from the following file:

- src/viewport.cpp